# Addons Gem

TODO: Write a gem description

## Installation

Add the addons gem and bundle install

    gem 'addons'
    bundle install

Or install it yourself as:

    $ gem install addons

Run the Rails generator with your AddonList credentials

    $ rails g addons:install --apiid=<addonsio_api_id> --authtoken=<addonsio_auth_token>

## Recipe Runner

To run all recipes related to your app, run this in your Terminal:
```shell
rake addons:recipe:run[all]
```

### Recipes

#### Mailgun SMTP

Run the recipe
```shell
rake addons:recipe:run[mailgun_smtp]
```

Copy and paste this to the rails console to test your email settings
```ruby
class TestMailer < ActionMailer::Base

  default :from => "info@addons.io"

  def welcome_email
    mail(:to => "youremail@example.com", :subject => "Test Mailgun SMTP mail", :body => "Test Mailgun SMTP mail body")
  end
end

TestMailer.welcome_email.deliver
```

#### Mailgun HTTP

Run the recipe
```shell
rake addons:recipe:run[mailgun_http]
```

Copy and paste this to the rails console to test your email settings
```ruby
email = {
  to: "youremail@example.com",
  from: "info@addons.io",
  subject: "Test Mailgun HTTP mail",
  body: "Test Mailgun HTTP mail body"
}

Addons::Mailgun.send_simple_message(email)
```

#### Rollbar

Run the recipe
```shell
rake addons:recipe:run[rollbar]
```

Test Rollbar by causing an exception, and Rollbar should report it. In a browser visit:
```
http://localhost:3000/this/route/definitely/wont/exist/and/will/cause/a/RoutingError
```


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request


<a href="https://github.com/addonlist/addons-gem-test" target="_blank">Test App repo</a>
